summaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2019-11-28 13:49:34 +0100
committerJason A. Donenfeld <Jason@zx2c4.com>2019-12-05 11:48:25 +0100
commit264731047afef9bf027b08cbe55e34dfa13aa6ed (patch)
treeb3f1d938493ff888c480d4f43bb7fa3661192ce9
parentwg-quick: linux: suppress error when finding unused table (diff)
downloadwireguard-monolithic-historical-264731047afef9bf027b08cbe55e34dfa13aa6ed.tar.xz
wireguard-monolithic-historical-264731047afef9bf027b08cbe55e34dfa13aa6ed.zip
wg-quick: linux: ensure postdown hooks execute
Reported-by: Thomas Sattler <sattler@med.uni-frankfurt.de>
-rwxr-xr-xsrc/tools/wg-quick/linux.bash4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/tools/wg-quick/linux.bash b/src/tools/wg-quick/linux.bash
index 81b1629..dca7b3d 100755
--- a/src/tools/wg-quick/linux.bash
+++ b/src/tools/wg-quick/linux.bash
@@ -322,8 +322,8 @@ cmd_down() {
execute_hooks "${PRE_DOWN[@]}"
[[ $SAVE_CONFIG -eq 0 ]] || save_config
del_if
- unset_dns
- remove_iptables
+ unset_dns || true
+ remove_iptables || true
execute_hooks "${POST_DOWN[@]}"
}